<?php
require_once "./pdocontroller.php";
if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
if (isset($_REQUEST['nommodulo'])){$nommodulo=$_REQUEST['nommodulo'];}else{$nommodulo="";}
if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
if (isset($_REQUEST['Id'])){$Id=$_REQUEST['Id'];}else{$Id="";}
if (isset($_REQUEST['remision'])){$remision=$_REQUEST['remision'];}else{$remision="";}
$modulo=$nommodulo;
if($codemp!='' && $modulo!='modulo' && $rol!='empleado' && $codemp!='dnd'){
    $DBclase="PDO".$codemp;
}else{
    $DBclase="PDOCONTROLLER";
}
$DBconex=new $DBclase;
$syseli="Eliminado";
$sqltmp="";
$query="select listasql,tabla,tabqts,tabdet,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";

$parametros=array(":modulo"=>$modulo);
try{
    $datos=$DBconex->executeconsulta($query,$parametros);
    foreach($datos as $qdatos){
        $tabla=$qdatos["tabdet"];
        $sqltmp=$qdatos["sqltmp"];
    }
 }catch(Exception $ex){
     echo $ex->getMessage();
 }
$sw=0;
$values="";
$query="update ".$tabla." set estado= :estado where Id= :Id";
$parametros=array(":estado"=>$syseli,":Id"=>$Id);
try{
    $datos=$DBconex->execute_eliminar($query,$parametros);
    if($datos=='procesado'){
        $query = $sqltmp." and nrorem = :remision ";
        $parametros=array(":remision"=>$remision);
        $datos=$DBconex->executeconsulta($query,$parametros);
        header("Content-Type: application/json");
        echo json_encode($datos);

    }
 }catch(Exception $ex){
     echo $ex->getMessage();
 }


?>